Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.hibernate.cache
Class DeployedTreeCacheProvider

    java.lang.Object
      org.jboss.hibernate.cache.DeployedTreeCacheProvider

All Implemented Interfaces:
  net.sf.hibernate.cache.CacheProvider

public class DeployedTreeCacheProvider
extends Object
implements net.sf.hibernate.cache.CacheProvider

A Hibernate CacheProvider implementation which knows how to obtain a deployed JBossCache accessible via JNDI to be used as the backing store.

Version:
  `$Revision: 1.1.2.2 $`
Author:
  Steve Ebersole

Field Summary
`static String` | `NAMESPACE_PROP_NAME`

Constructor Summary
`DeployedTreeCacheProvider()`

Method Summary
`net.sf.hibernate.cache.Cache` | `buildCache(String name, Properties properties)` Called by Hibernate in order to build the given named cache "region".
`long` | `nextTimestamp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_PROP_NAME

    public static final String NAMESPACE_PROP_NAME

See Also:
  Constant Field Values

Constructor Detail

### DeployedTreeCacheProvider

    public DeployedTreeCacheProvider()

Method Detail

### buildCache

    public net.sf.hibernate.cache.Cache buildCache(String name,
                                                   Properties properties)
                                            throws net.sf.hibernate.cache.CacheException

  Called by Hibernate in order to build the given named cache "region".

  Specified by:
    `buildCache` in interface `net.sf.hibernate.cache.CacheProvider`
  Parameters:
    `name` - The cache "region" name.
    `properties` - The configuration properties.
  Returns:
    The constructed Cache wrapper around the jndi-deployed TreeCache.
  Throws:
    `net.sf.hibernate.cache.CacheException` - Generally indicates a problem locating the TreeCache.

### nextTimestamp

    public long nextTimestamp()

  Specified by:
    `nextTimestamp` in interface `net.sf.hibernate.cache.CacheProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.